
Foreman - Bug #18493

PXE loader is not inherited from parent hostgroup

02/14/2017 08:34 AM - Ondřej Pražák

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

UI does not populate PXE loader dropdown with value from parent hostgroup. I have not tested if API is affected as well.

Steps to reproduce:

1) Create hostgroup A with all fields filled in in 'Operating System' tab

2) Go to new hostgroup page

3) select A as a parent and move to 'Operating System' tab

4) there is 'Inherit parent (no value)' in PXE loader dropdown even though parent has a non-empty value for this field

Related issues:

Is duplicate of Foreman - Bug #18381: PXE loader attribute does not work with... Closed 02/02/2017

History

#1 - 02/14/2017 08:43 AM - Dominic Cleal

- Is duplicate of Bug #18381: PXE loader attribute does not work with host group inheritance added

#2 - 02/14/2017 08:43 AM - Dominic Cleal

- Status changed from New to Duplicate

This appears identical to #18381.
